<h3>Bestehende Belegung ändern</h3>

<?php
$sql1 = 'SELECT * FROM ' . $table . ' WHERE ID = "' . $_POST['Titel'] . '";';
$result1 = $db->query($sql1);
$nt1 = $result1->fetch_assoc();
if (!isset($_POST['Speichern'])) {
    var_dump($_POST);
    echo "<br />";
    ?>

    <form action="<?php echo $ref; ?>" method="post" enctype="multipart/form-data">
        <input type="hidden" name="ID" value="<?php echo $_POST['Titel']; ?>"/>
        <input type="hidden" name="edit" value="speichern"/>
        <label>Mieter:</label>
        <input type="text" name="Mieter" value="<?php echo $nt1['Mieter']; ?>"/>
        <br/>
        <label>Von (YYYY-MM-TT):</label>
        <input type="text" name="Start" value="<?php echo $nt1['Start']; ?>"/>
        <br/>
        <label>Bis (YYYY-MM-TT):</label>
        <input type="text" name="Ende" value="<?php echo $nt1['Ende']; ?>"/>
        <br/>
        <input type="submit" name="Speichern" value="Speichern"/>
    </form>

    <?php
} else {
    $sql2 = 'UPDATE ' . $table . ' SET Mieter = "' . $_POST['Mieter'] . '", Start = "' . $_POST['Start'] . '", Ende = "' . $_POST['Ende'] . '" WHERE ID = "' . $_POST['ID'] . '";';
    $stmt2 = $db->prepare($sql2);
    if (!$stmt2) {
        die ('Es konnte kein SQL-Query vorbereitet werden: ' . $db->error);
    }
    if (!$stmt2->execute()) {
        die ('Query konnte nicht ausgeführt werden: ' . $stmt1->error);
    }
    echo '<a href="' . $ref . '">Zurück zur Übersicht</a>';

}

?>
